#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include "interface.h"
#include "support.h"
#include "main.h"

void print_info(struct despotify_session* ds) {

	struct user_info* user = ds->user_info;

	printf("Username       : %s\n", user->username);
	printf("Country        : %s\n", user->country);
	printf("Account type   : %s\n", user->type);
	printf("Account expiry : %s", ctime(&user->expiry));
	printf("Host           : %s:%d\n", user->server_host, user->server_port);
	printf("Last ping      : %s", ctime(&user->last_ping));

	if (strncmp(user->type, "premium", 7)) {

	GtkWidget* dialog = gtk_message_dialog_new(
						0, 
						0, 
						GTK_MESSAGE_WARNING, 
						GTK_BUTTONS_CLOSE, 
						"You do not have a premium account.\nSpotify services will not be available."
						);
	g_signal_connect_swapped (GTK_OBJECT(dialog), "response", G_CALLBACK(gtk_widget_destroy), GTK_OBJECT(dialog));
	gtk_widget_show(dialog);

	}
}

void callback(struct despotify_session* ds, int signal, void* data, void* callback_data) {
	(void)data; (void)ds; (void)callback_data;
}

struct playlist* get_playlist(struct playlist* rootlist, int num) {

    struct playlist* p = rootlist;

	if (!p) {
	        printf("Stored lists not loaded. Run 'list' without parameter to load.\n");
	} else {
		/* skip to playlist number <num> */
		for (int i = 1; i < num && p; i++) {
			p = p->next;
		}

		if (!p) {
			printf("Invalid playlist number %d\n", num);
		}
	}
	
	return p;
}

int
main (int argc, char *argv[])
{
	GtkWidget *login_window;

	#ifdef ENABLE_NLS
		bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
		bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
		textdomain (GETTEXT_PACKAGE);
	#endif

	gtk_set_locale ();

	if (!g_thread_supported ()) {
		g_thread_init(NULL);
	}

	gdk_threads_init();
	gdk_threads_enter();
	
	gtk_init (&argc, &argv);

	add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");

	login_window = create_login_window ();
	gtk_widget_show (login_window);

	gtk_main ();

	printf("Shouldn't see this message, exit elsewhere :)\n");
	return 0;
}

